Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::Any Class Reference

Generic container for IDL types. More...

`#include <Any.h>`

Collaboration diagram for CORBA::Any:

[legend]
List of all members.

## Public Types
typedef Any_ptr | _ptr_type
typedef Any_var | _var_type
typedef ACE_OutputCDR::from_boolean | from_boolean
typedef ACE_OutputCDR::from_octet | from_octet
typedef ACE_OutputCDR::from_char | from_char
typedef ACE_OutputCDR::from_wchar | from_wchar
typedef ACE_OutputCDR::from_string | from_string
typedef ACE_OutputCDR::from_wstring | from_wstring
typedef ACE_InputCDR::to_boolean | to_boolean
typedef ACE_InputCDR::to_char | to_char
typedef ACE_InputCDR::to_wchar | to_wchar
typedef ACE_InputCDR::to_octet | to_octet
typedef ACE_InputCDR::to_string | to_string
typedef ACE_InputCDR::to_wstring | to_wstring
## Public Methods
| Any (void)
| Any (const Any &)
| ~Any (void)
Any & | operator= (const Any &)
TAO::Any_Impl * | impl (void) const
void | operator<<= (from_boolean)
| Insertion of the special types.
void | operator<<= (from_char)
void | operator<<= (from_wchar)
void | operator<<= (from_octet)
void | operator<<= (from_string)
void | operator<<= (from_wstring)
Boolean | operator>>= (to_boolean) const
| Extraction of the special types.
Boolean | operator>>= (to_octet) const
Boolean | operator>>= (to_char) const
Boolean | operator>>= (to_wchar) const
Boolean | operator>>= (to_string) const
Boolean | operator>>= (to_wstring) const
Boolean | operator>>= (to_object) const
Boolean | operator>>= (to_abstract_base) const
Boolean | operator>>= (to_value) const
void | replace (TAO::Any_Impl *)
| TAO-specific signature.
TypeCode_ptr | type (void) const
| Return TypeCode of the element stored in the Any.
void | type (TypeCode_ptr ACE_ENV_ARG_DECL)
CORBA::TypeCode_ptr | _tao_get_typecode (void) const
| TAO extension, does not return a duplicate.
void | _tao_set_typecode (const CORBA::TypeCode_ptr)
| TAO extension.
ACE_Message_Block * | _tao_get_cdr (void) const
int | _tao_byte_order (void) const
const void * | value (void) const
| Spec-required method - not type safe.
## Static Public Methods
void | _tao_any_destructor (void *)
| Used in our destruction if we ourselves are stored in an Any.
## Private Methods
CORBA::Boolean | checked_to_object (CORBA::Object_ptr &) const
CORBA::Boolean | checked_to_value (CORBA::ValueBase *&) const
CORBA::Boolean | checked_to_abstract_base (CORBA::AbstractBase_ptr &) const
void | operator<<= (unsigned char)
CORBA::Boolean | operator>>= (unsigned char &) const
## Private Attributes
TAO::Any_Impl * | impl_
## Friends
class | CORBA_NVList
class | TAO_Marshal_Any

## Detailed Description

Generic container for IDL types.

This is the top-level class of the Any implementation. It exposes the spec-required functionality, but is mostly a wrapper for one of the template classes below.

## Member Typedef Documentation

typedef Any_ptr CORBA::Any::_ptr_type

typedef Any_var CORBA::Any::_var_type

typedef ACE_OutputCDR::from_boolean CORBA::Any::from_boolean

| These are needed for insertion and extraction of booleans, octets, chars, and bounded strings. CORBA spec requires that they be here, we just typedef to the already-defined ACE_OutputCDR types.

typedef ACE_OutputCDR::from_char CORBA::Any::from_char

typedef ACE_OutputCDR::from_octet CORBA::Any::from_octet

typedef ACE_OutputCDR::from_string CORBA::Any::from_string

typedef ACE_OutputCDR::from_wchar CORBA::Any::from_wchar

typedef ACE_OutputCDR::from_wstring CORBA::Any::from_wstring

typedef ACE_InputCDR::to_boolean CORBA::Any::to_boolean

| These extract octets, chars, booleans, bounded strings, and object references. All these are defined in ACE_InputCDR.

typedef ACE_InputCDR::to_char CORBA::Any::to_char

typedef ACE_InputCDR::to_octet CORBA::Any::to_octet

typedef ACE_InputCDR::to_string CORBA::Any::to_string

typedef ACE_InputCDR::to_wchar CORBA::Any::to_wchar

typedef ACE_InputCDR::to_wstring CORBA::Any::to_wstring

## Constructor & Destructor Documentation

CORBA::Any::Any | ( | void |  | ) |

CORBA::Any::Any | ( | const Any & |  | ) |

CORBA::Any::~Any | ( | void |  | ) |

## Member Function Documentation

void CORBA::Any::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in our destruction if we ourselves are stored in an Any.

int CORBA::Any::_tao_byte_order | ( | void |  | ) | const

ACE_Message_Block * CORBA::Any::_tao_get_cdr | ( | void |  | ) | const

CORBA::TypeCode_ptr CORBA::Any::_tao_get_typecode | ( | void |  | ) | const

| TAO extension, does not return a duplicate.

void CORBA::Any::_tao_set_typecode | ( | const CORBA::TypeCode_ptr |  | ) |

| TAO extension.

CORBA::Boolean CORBA::Any::checked_to_abstract_base | ( | CORBA::AbstractBase_ptr & |  | ) | const`[private]`

CORBA::Boolean CORBA::Any::checked_to_object | ( | CORBA::Object_ptr & |  | ) | const`[private]`

CORBA::Boolean CORBA::Any::checked_to_value | ( | CORBA::ValueBase *& |  | ) | const`[private]`

ACE_INLINE TAO::Any_Impl * CORBA::Any::impl | ( | void |  | ) | const

void CORBA::Any::operator<<= | ( | unsigned | char | ) | `[private]`

void CORBA::Any::operator<<= | ( | from_wstring |  | ) |

void CORBA::Any::operator<<= | ( | from_string |  | ) |

void CORBA::Any::operator<<= | ( | from_octet |  | ) |

void CORBA::Any::operator<<= | ( | from_wchar |  | ) |

void CORBA::Any::operator<<= | ( | from_char |  | ) |

void CORBA::Any::operator<<= | ( | from_boolean |  | ) |

| Insertion of the special types.

CORBA::Any & CORBA::Any::operator= | ( | const Any & |  | ) |

CORBA::Boolean CORBA::Any::operator>>= | ( | unsigned char & |  | ) | const`[private]`

CORBA::Boolean CORBA::Any::operator>>= | ( | to_value |  | ) | const

CORBA::Boolean CORBA::Any::operator>>= | ( | to_abstract_base |  | ) | const

CORBA::Boolean CORBA::Any::operator>>= | ( | to_object |  | ) | const

CORBA::Boolean CORBA::Any::operator>>= | ( | to_wstring |  | ) | const

CORBA::Boolean CORBA::Any::operator>>= | ( | to_string |  | ) | const

CORBA::Boolean CORBA::Any::operator>>= | ( | to_wchar |  | ) | const

CORBA::Boolean CORBA::Any::operator>>= | ( | to_char |  | ) | const

CORBA::Boolean CORBA::Any::operator>>= | ( | to_octet |  | ) | const

CORBA::Boolean CORBA::Any::operator>>= | ( | to_boolean |  | ) | const

| Extraction of the special types.

void CORBA::Any::replace | ( | TAO::Any_Impl * |  | ) |

| TAO-specific signature.

void CORBA::Any::type | ( | TypeCode_ptr | ACE_ENV_ARG_DECL | ) |

| For use along with <<= of a value of aliased type when the alias must be preserved.

CORBA::TypeCode_ptr CORBA::Any::type | ( | void |  | ) | const

| Return TypeCode of the element stored in the Any.

const void * CORBA::Any::value | ( | void |  | ) | const

| Spec-required method - not type safe.

## Friends And Related Function Documentation

friend class CORBA_NVList`[friend]`

friend class TAO_Marshal_Any`[friend]`

## Member Data Documentation

TAO::Any_Impl* CORBA::Any::impl_`[private]`

The documentation for this class was generated from the following files:

- Any.h
- Any.cpp
- Any.i